-- strict.lua の使用サンプル
-- Satofumi KAMIMURA
-- $Id: strict_sample.lua 716 2009-04-06 22:10:16Z satofumi $

require("strict")

y = 3                        -- 明示的にグローバル変数を宣言したい場合

function test()
   for i = 0, 10 do
      -- "x = 2" だとエラーになる
      local x = 2
      print(i + x + y)
   end
end


test()
